Deluge in Debian, Wie kommt es dazu ?

Neulich in Debian Lenny. Natürlich inkl. der Lösung ;)
seraphyn@takeshi:~$ deluge 
checking for ubuntu...
Traceback (most recent call last):
  File "/usr/bin/deluge", line 135, in ?
    subprocess.Popen(["dbus-launch", "deluge"] + sys.argv[1:])
  File "/usr/lib/python2.4/subprocess.py", line 543, in __init__
    errread, errwrite)
  File "/usr/lib/python2.4/subprocess.py", line 975, in _execute_child
    raise child_exception
OSError: [Errno 2] Datei oder Verzeichnis nicht gefunden
seraphyn@takeshi:~$

Installiert wurde deluge von mir durch…

takeshi:/usr/share/apps/ktorrent/www/default# aptitude install deluge-torrent 
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Lese erweiterte Statusinformationen      
Initialisiere Paketstatus... Fertig
Lese Task-Beschreibungen... Fertig 
Erzeuge Tag-Datenbank... Fertig   
Die folgenden NEUEN Pakete werden zusätzlich installiert:
  deluge-torrent libboost-date-time1.34.1{a} libboost-filesystem1.34.1{a} libboost-thread1.34.1{a} python-pyopenssl{a} python-xdg{a} 
0 Pakete aktualisiert, 6 zusätzlich installiert, 0 werden entfernt und 0 nicht aktualisiert.
Muss 3744kB an Archiven herunterladen. Nach dem Entpacken werden 13,9MB zusätzlich belegt sein.
Wollen Sie fortsetzen? [Y/n/?] 
Schreibe erweiterte Statusinformationen... Fertig
Hole:1 http://ftp-stud.fht-esslingen.de lenny/main libboost-date-time1.34.1 1.34.1-6 [57,6kB]
Hole:2 http://ftp-stud.fht-esslingen.de lenny/main libboost-filesystem1.34.1 1.34.1-6 [55,2kB]
Hole:3 http://ftp-stud.fht-esslingen.de lenny/main libboost-thread1.34.1 1.34.1-6 [37,2kB]
Hole:4 http://ftp-stud.fht-esslingen.de lenny/main python-pyopenssl 0.6-2.3 [74,3kB]
Hole:5 http://ftp-stud.fht-esslingen.de lenny/main python-xdg 0.15-1.1 [31,8kB]
Hole:6 http://ftp-stud.fht-esslingen.de lenny/main deluge-torrent 0.5.8.3-1 [3488kB]
3744kB wurden in 3s heruntergeladen (991kB/s)
Wähle vormals abgewähltes Paket libboost-date-time1.34.1.
(Lese Datenbank ... 124627 Dateien und Verzeichnisse sind derzeit installiert.)
Entpacke libboost-date-time1.34.1 (aus .../libboost-date-time1.34.1_1.34.1-6_i386.deb) ...
Wähle vormals abgewähltes Paket libboost-filesystem1.34.1.
Entpacke libboost-filesystem1.34.1 (aus .../libboost-filesystem1.34.1_1.34.1-6_i386.deb) ...
Wähle vormals abgewähltes Paket libboost-thread1.34.1.
Entpacke libboost-thread1.34.1 (aus .../libboost-thread1.34.1_1.34.1-6_i386.deb) ...
Wähle vormals abgewähltes Paket python-pyopenssl.
Entpacke python-pyopenssl (aus .../python-pyopenssl_0.6-2.3_i386.deb) ...
Wähle vormals abgewähltes Paket python-xdg.
Entpacke python-xdg (aus .../python-xdg_0.15-1.1_all.deb) ...
Wähle vormals abgewähltes Paket deluge-torrent.
Entpacke deluge-torrent (aus .../deluge-torrent_0.5.8.3-1_i386.deb) ...
Richte libboost-date-time1.34.1 ein (1.34.1-6) ...
Richte libboost-filesystem1.34.1 ein (1.34.1-6) ...
Richte libboost-thread1.34.1 ein (1.34.1-6) ...
Richte python-pyopenssl ein (0.6-2.3) ...
Richte python-xdg ein (0.15-1.1) ...
Richte deluge-torrent ein (0.5.8.3-1) ...
Paketlisten werden gelesen... Fertig             
Abhängigkeitsbaum wird aufgebaut       
Reading state information... Fertig
Lese erweiterte Statusinformationen       
Initialisiere Paketstatus... Fertig
Schreibe erweiterte Statusinformationen... Fertig
Lese Task-Beschreibungen... Fertig               
Erzeuge Tag-Datenbank... Fertig   

Achja, der Titel ist eine rein rhetorische Frage ;)

So die Lösung ist:
Löschen des deluge-Verzeichnisses , Installation der richtigen Abhängigkeiten

seraphyn@takeshi:~$ rm -Rf .config/deluge/
takeshi:/tmp# aptitude install python-all-dev python-all python-dbus python-gtk2 python-notify librsvg2-common python-support libboost-serialization1.34.1 dbus-x11

Dann sollte es auch gehen, so war es zumindest bei mir.
Ich gehe davon aus, dass nicht alle Abhängigkeiten in dem deb-Paket vorhanden sind, wie z.B. dbus-launch.

Deluge in Debian, Wie kommt es dazu ?
Markiert in:         

Schreibe einen Kommentar

You have to agree to the comment policy.